if(isObject(AvatarApplyButton))
{
	AvatarApplyButton.delete();
}

new GuiBitmapButtonCtrl(AvatarApplyButton) {
	profile = "BlockButtonProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "95 432";
	extent = "80 37";
	minExtent = "8 2";
	enabled = "1";
	visible = "1";
	clipToParent = "1";
	command = "AVapplybutton_applyAvatar();";
	text = "Apply";
	groupNum = "-1";
	buttonType = "PushButton";
	bitmap = "base/client/ui/button2";
	lockAspectRatio = "0";
	alignLeft = "0";
	alignTop = "0";
	overflowImage = "0";
	mKeepCached = "0";
	mColor = "255 255 255 255";
};

Avatar_Window.add(AvatarApplyButton);

function AVapplybutton_applyAvatar ()
{
	if ($AVapplybutton_lastApply + 1000 > getSimTime())
	{
		return;
	}
	$AVapplybutton_lastApply = getSimTime();
	
	AvatarGui.onSleep(); //do all the things the avatar gui does when the done button closes it, without closing it
	AvatarGui.onWake();
	clientCmdUpdatePrefs();
	//don't write to prefs.cs, since you have to open optionsDlg to open the avatar menu it'll be written to it when you close the dialog anyways
}